Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1800503 - In Hammer, it is not possible to set default keyboard layout for a RHEV host
Summary: In Hammer, it is not possible to set default keyboard layout for a RHEV host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 6.8.0
Assignee: Yifat Makias
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-07 09:44 UTC by Lukáš Hellebrandt
Modified: 2020-10-27 13:00 UTC (History)
7 users (show)

Fixed In Version: foreman-2.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:00:15 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29254 0 Normal Closed In Hammer, it is not possible to set default keyboard layout for a RHEV host 2020-10-28 17:23:13 UTC
Foreman Issue Tracker 30231 0 Normal Closed Keyboard layout is not working properly 2020-10-28 17:23:13 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:00:36 UTC

Description Lukáš Hellebrandt 2020-02-07 09:44:20 UTC
Description of problem:
When adding a RHEV CR in Hammer, it is possible to select default display type but it's not possible to select default keyboard layout (as opposed to WebUI where both is possible).

Version-Release number of selected component (if applicable):
Sat 6.7, new functionality

How reproducible:
Deterministic

Steps to Reproduce:
1. # hammer compute-resource create --help

Actual results:
No info about setting default keyboard layout for RHEV

Expected results:
Info about setting default keyboard layout for RHEV which actually works

Comment 3 Yifat Makias 2020-03-03 15:26:48 UTC
While trying to reproduce this bug I saw that there is a keyboard option when creating a new RHEV compute resource however, there is no such option when creating a host and I think there should be.

Comment 4 Yifat Makias 2020-03-03 15:40:10 UTC
Created redmine issue https://projects.theforeman.org/issues/29254 from this bug

Comment 5 Bryan Kearney 2020-03-04 09:07:12 UTC
Upstream bug assigned to ymakias

Comment 6 Bryan Kearney 2020-03-04 09:07:18 UTC
Upstream bug assigned to ymakias

Comment 7 Bryan Kearney 2020-03-12 16:05:46 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29254 has been resolved.

Comment 8 Lukáš Hellebrandt 2020-06-24 14:08:00 UTC
FailedQA with Sat 6.8 snap 5.0.

While the command help now correctly contains "--keyboard" parameter description, using it has actually no effect:

# hammer compute-resource create --name testv4Hammer8 --provider Ovirt --url https://<RHEV_FQDN>/ovirt-engine/api --user <rhev_login> --password <rhev_password> --datacenter Satellite-Devel --display-type VNC --keyboard fo

=> Results in a CR created with correct display type but keyboard always being "en-us".

Comment 9 Lukáš Hellebrandt 2020-09-24 11:34:35 UTC
Verified with Sat 6.8 snap 17.

# hammer compute-resource create --help | grep layout -A1
 --keyboard-layout KEYBOARD_LAYOUT           For RHEV only
                                             Possible value(s): 'ar', 'de-ch', 'es', 'fo', 'fr-ca', 'hu', 'ja', 'mk', 'no', 'pt-br', 'sv', 'da', 'en-gb', 'et', 'fr', 'fr-ch', 'is', 'lt', 'nl', 'pl', 'ru', 'th', 'de', 'en-us', 'fi', 'fr-be', 'hr', 'it', 'lv', 'nl-be', 'pt', 'sl', 'tr'

# hammer compute-resource create --name rhev2 --provider ovirt --use-v4 yes --url https://<FQDN>/ovirt-engine/api --user <user> --password <password> --datacenter Satellite-Engineering --display-type SPICE --keyboard-layout fr-ca
Compute resource created.

Checked in WebUI that the layout is indeed set to fr-ca.

Additionally, checked that the parameter only accepts acceptable values, the error is:
```
Could not create the compute resource:
  Error: Option '--keyboard-layout': Value must be one of 'ar', 'de-ch', 'es', 'fo', 'fr-ca', 'hu', 'ja', 'mk', 'no', 'pt-br', 'sv', 'da', 'en-gb', 'et', 'fr', 'fr-ch', 'is', 'lt', 'nl', 'pl', 'ru', 'th', 'de', 'en-us', 'fi', 'fr-be', 'hr', 'it', 'lv', 'nl-be', 'pt', 'sl', 'tr'..
```

Comment 12 errata-xmlrpc 2020-10-27 13:00:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.